contains(CONFIG , USB){
INCLUDEPATH +=  $${PWD}/STM32_USB_Device_Library/Class/audio/inc \
                $${PWD}/STM32_USB_Device_Library/Class/msc/inc \
                $${PWD}/STM32_USB_Device_Library/Class/cdc/inc \
                $${PWD}/STM32_USB_Device_Library/Class/dfu/inc \
                $${PWD}/STM32_USB_Device_Library/Core/inc \
                $${PWD}/STM32_USB_OTG_Driver/inc

contains(USB , OTG){
HEADERS += \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_regs.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_otg.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_hcd_int.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_hcd.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_defines.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_dcd_int.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_dcd.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_core.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_conf_template.h \
    $${PWD}/STM32_USB_OTG_Driver/inc/usb_bsp.h
}
contains(USB , OTG){
SOURCES += \
    $${PWD}/STM32_USB_OTG_Driver/src/usb_otg.c \
    $${PWD}/STM32_USB_OTG_Driver/src/usb_hcd_int.c \
    $${PWD}/STM32_USB_OTG_Driver/src/usb_hcd.c \
    $${PWD}/STM32_USB_OTG_Driver/src/usb_dcd_int.c \
    $${PWD}/STM32_USB_OTG_Driver/src/usb_dcd.c \
    $${PWD}/STM32_USB_OTG_Driver/src/usb_core.c \
    $${PWD}/STM32_USB_OTG_Driver/src/usb_bsp_template.c
}

HEADERS += \
    $${PWD}/STM32_USB_Device_Library/Class/audio/inc/usbd_audio_out_if.h \
    $${PWD}/STM32_USB_Device_Library/Class/audio/inc/usbd_audio_core.h \
    $${PWD}/STM32_USB_Device_Library/Class/msc/inc/usbd_msc_scsi.h \
    $${PWD}/STM32_USB_Device_Library/Class/msc/inc/usbd_msc_mem.h \
    $${PWD}/STM32_USB_Device_Library/Class/msc/inc/usbd_msc_data.h \
    $${PWD}/STM32_USB_Device_Library/Class/msc/inc/usbd_msc_core.h \
    $${PWD}/STM32_USB_Device_Library/Class/msc/inc/usbd_msc_bot.h \
    $${PWD}/STM32_USB_Device_Library/Class/cdc/inc/usbd_cdc_if_template.h \
    $${PWD}/STM32_USB_Device_Library/Class/cdc/inc/usbd_cdc_core.h \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/inc/usbd_otp_if.h \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/inc/usbd_mem_if_template.h \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/inc/usbd_flash_if.h \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/inc/usbd_dfu_mal.h \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/inc/usbd_dfu_core.h \
    $${PWD}/STM32_USB_Device_Library/Class/hid/inc/usbd_hid_core.h \
    $${PWD}/STM32_USB_Device_Library/Core/inc/usbd_usr.h \
    $${PWD}/STM32_USB_Device_Library/Core/inc/usbd_req.h \
    $${PWD}/STM32_USB_Device_Library/Core/inc/usbd_ioreq.h \
    $${PWD}/STM32_USB_Device_Library/Core/inc/usbd_def.h \
    $${PWD}/STM32_USB_Device_Library/Core/inc/usbd_core.h \
    $${PWD}/STM32_USB_Device_Library/Core/inc/usbd_conf_template.h

SOURCES += \
    $${PWD}/STM32_USB_Device_Library/Core/src/usbd_req.c \
    $${PWD}/STM32_USB_Device_Library/Core/src/usbd_ioreq.c \
    $${PWD}/STM32_USB_Device_Library/Core/src/usbd_core.c

contains(USB , audio){
SOURCES += \
    $${PWD}/STM32_USB_Device_Library/Class/audio/src/usbd_audio_out_if.c \
    $${PWD}/STM32_USB_Device_Library/Class/audio/src/usbd_audio_core.c
}
contains(USB , cdc){
SOURCES += \  
    $${PWD}/STM32_USB_Device_Library/Class/cdc/src/usbd_cdc_core.c
#$${PWD}/STM32_USB_Device_Library/Class/cdc/src/usbd_cdc_if_template.c \
}
contains(USB , dfu){
SOURCES += \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/src/usbd_otp_if.c \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/src/usbd_mem_if_template.c \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/src/usbd_flash_if.c \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/src/usbd_dfu_mal.c \
    $${PWD}/STM32_USB_Device_Library/Class/dfu/src/usbd_dfu_core.c
}
contains(USB , hid){
SOURCES += \
    $${PWD}/STM32_USB_Device_Library/Class/hid/src/usbd_hid_core.c
}
contains(USB , msc){
SOURCES += \
    $${PWD}/STM32_USB_Device_Library/Class/msc/src/usbd_storage_template.c \
    $${PWD}/STM32_USB_Device_Library/Class/msc/src/usbd_msc_scsi.c \
    $${PWD}/STM32_USB_Device_Library/Class/msc/src/usbd_msc_data.c \
    $${PWD}/STM32_USB_Device_Library/Class/msc/src/usbd_msc_core.c \
    $${PWD}/STM32_USB_Device_Library/Class/msc/src/usbd_msc_bot.c
}

}


